pub fn test() {
    use std::collections::HashMap;

    println!("●Method 1:");
    let mut map = HashMap::new();
    {
        map.insert("One", 1);
        map.insert("Two", 2);
        map.insert("Three", 3);
        println!("{:?}", map);

        let one = map.get("One");
        println!("{:?}", map.get("One"));
    }

    println!("\n●Method 2:");
    let keys = vec![String::from("Yellow"), String::from("Blue"), String::from("Red")];
    let values = vec![30, 60, 50];
    let mut scores: HashMap<_, _> = keys.iter().zip(values.iter()).collect();
    println!("{:?}", scores);

    println!("\n●all items:");
    for (key, value) in &map {
        println!("  {} - {}", key, value);
    }

    println!("\n●add new item:");
    println!("before Add: {:?}", map);
    {
        let four = map.entry("Four").or_insert(4);
        println!("{:?}", four);
        *four += 1;
    }
    println!("after Add: {:?}", map);

    println!("\n●compare:");
    let x = vec!(1,2,3);
    let y = vec![1,2,3];

    println!("{:?}", x);
    println!("{:?}", y);
    println!("{}", x==y);

    //panic!("###################################\npanic here...\n###################################");
}